Bug 20939 - Anaconda puked and killed a drive during install.
Anaconda puked and killed a drive during install.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-16 00:29 EST by Need Real Name
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-17 12:14:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-11-16 00:29:36 EST
The following trace was dumped out during an install... I had been using 3 
hard drives (two 20G Western Digital and one 30G Maxtor). Near the end of 
the installation process the Maxtor 30G drive started making periodic 
(regular) strange noises - like the head was resetting and knocking into 
the chassis... but there's nothing wrong with the drive. I put it in 
another machine and it works fine. 

The configuration was:

IDE 0 - 1 30G MAXTOR as Master, 1 Mitsumi CDROM as Slave
IDE 1 - 2 Western Digital 20G
CPU - Coppermine P3 533
384M Memory
MB: Supermicro P3DME 

Anaconda gracefully blew chunks with the following dump:

Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", 
line 20, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1543, in 
doInstall
    self.instCallback, p)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1296, in 
instCallback
    self.instLog.flush ()
IOError: [Errno 5] Input/output error

Local variables in innermost frame:
what: 2
total: 0
intf: <progress_gui.InstallProgressWindow instance at 8486d00>
amount: 0
h: <header object at 8ce7f18>
self: <todo.ToDo instance at 8425c38>

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>
Comment 1 Michael Fulbright 2000-11-17 12:14:46 EST
This is most certainly a hardware issue.

Note You need to log in before you can comment on or make changes to this bug.